function setor() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Produção', 'Controle', 'Produção', 'Setor']);
	};

	this.adicionaSetor = (setor, sigla, nome, centrocusto, departamento) => {
		geral.clickAdicionar();

		geral.clickAndFllField('CDSETOR', setor);
		geral.clickAndFllField('SGSETOR', sigla);
		geral.clickAndFllField('NMSETOR', nome);
		geral.searchAndClickGridField('NMCENTCUST', centrocusto, 'NMCENTCUST', '0');
		geral.searchAndClickGridField('NMDEPTO', departamento, 'NMDEPTO', '0');
		geral.clickSalvar();
		geral.clickOk();
		protractorHelper.waitForElementVisibility(element(by.id('grid-12102554951811807910983')), 5000);
	};

	this.alteraSetor = (agencia, cnpj, cep, telefone, fax) => {
		geral.clickEditar();
		geral.fillField('NMAGENCIA', agencia);
		geral.clickAndFllField('NRCGCAGEN', cnpj);
		geral.clickAndFllField('NRCEPAGEN', cep);
		geral.fillField('NRFONEAGEN', telefone);
		geral.clickAndFllField('NRFAXAGEN', fax);
		geral.clickSalvar();
	};
}

module.exports = new setor();
